curl --request GET \
--url https://api.attio.com/v2/workspace_blocklist_addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/workspace_blocklist_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/workspace_blocklist_addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/workspace_blocklist_addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/workspace_blocklist_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/workspace_blocklist_addresses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/workspace_blocklist_addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "jane@acme.com",
"address_type": "email_address",
"enforcement_level": "blocked",
"created_at": "2026-10-28T09:12:44.210000000Z"
}
],
"pagination": {
"next_cursor": "<string>"
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "validation_type",
"message": "Invalid cursor."
}{
"status_code": 403,
"type": "auth_error",
"code": "unauthorized",
"message": "A user-level access token can only manage the workspace blocklist if the member it acts for is a workspace admin."
}List workspace blocklist addresses
An address is an email address (jane@acme.com) or a domain (acme.com).
Lists every address on the workspace blocklist, at both enforcement levels. Email addresses come first, then domains, each in alphabetical order.
A user-level access token can only call this endpoint if the workspace member it acts for is a workspace admin.
This endpoint is in alpha and may be subject to breaking changes as we gather feedback.
Required scopes: email_calendar_blocklist:read.
Supported token levels: workspace, user.
curl --request GET \
--url https://api.attio.com/v2/workspace_blocklist_addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/workspace_blocklist_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/workspace_blocklist_addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/workspace_blocklist_addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/workspace_blocklist_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/workspace_blocklist_addresses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/workspace_blocklist_addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "jane@acme.com",
"address_type": "email_address",
"enforcement_level": "blocked",
"created_at": "2026-10-28T09:12:44.210000000Z"
}
],
"pagination": {
"next_cursor": "<string>"
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "validation_type",
"message": "Invalid cursor."
}{
"status_code": 403,
"type": "auth_error",
"code": "unauthorized",
"message": "A user-level access token can only manage the workspace blocklist if the member it acts for is a workspace admin."
}Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Query Parameters
The maximum number of addresses to return. Must be between 1 and 500. Defaults to 500.
1 <= x <= 500500
A pagination cursor used to fetch the next page of addresses. Responses with more addresses will include a cursor for you to use here. If not provided, the first page will be returned.
Was this page helpful?